Please create an account to participate in the Slashdot moderation system

 



Forgot your password?
typodupeerror

Submission Summary: 0 pending, 1 declined, 0 accepted (1 total, 0.00% accepted)

For the out-of-band Slashdot experience (mostly headlines), follow us on Twitter, or Facebook. ×

+ - Emacs distributions are not GPL-compliant-> 1 1

HarrySquatter writes: It appears that Emacs versions 23.2 and 23.3 have violated the GPL by not including full source code to all bison generated parsers. In response to this Richard Stallman says:

"We have made a very bad mistake. Anyone redistributing those versions is violating the GPL, through no fault of his own.

We need to fix those releases retroactively (or else delete them), and we need to do it right away.

I see two quick ways to fix them: to delete the compiled files, or to add the sources they are made from."

Link to Original Source

Getting the job done is no excuse for not following the rules. Corollary: Following the rules will not get the job done.

Working...